Public Attributes | List of all members
_xqspi_handle_t Struct Reference
Peripheral Driver » HAL Driver » XQSPI » Structures » XQSPI handle

XQSPI handle Structure definition. More...

`#include <gr533x_hal_xqspi.h>`

## Public Attributes
xqspi_regs_t * | p_instance
xqspi_init_t | init
uint8_t * | p_tx_buffer
__IO uint32_t | tx_xfer_size
__IO uint32_t | tx_xfer_count
uint8_t * | p_rx_buffer
__IO uint32_t | rx_xfer_size
__IO uint32_t | rx_xfer_count
__IO hal_lock_t | lock
__IO hal_xqspi_state_t | state
__IO uint32_t | error_code
uint32_t | retry

## Detailed Description

XQSPI handle Structure definition.

Definition at line 138 of file gr533x_hal_xqspi.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _xqspi_handle_t::error_code

XQSPI Error code

Definition at line 160 of file gr533x_hal_xqspi.h.

## ◆ init

xqspi_init_t _xqspi_handle_t::init

XQSPI communication parameters

Definition at line 142 of file gr533x_hal_xqspi.h.

## ◆ lock

__IO hal_lock_t _xqspi_handle_t::lock

Locking object

Definition at line 156 of file gr533x_hal_xqspi.h.

## ◆ p_instance

xqspi_regs_t* _xqspi_handle_t::p_instance

XQSPI registers base address

Definition at line 140 of file gr533x_hal_xqspi.h.

## ◆ p_rx_buffer

uint8_t* _xqspi_handle_t::p_rx_buffer

Pointer to XQSPI Rx transfer Buffer

Definition at line 150 of file gr533x_hal_xqspi.h.

## ◆ p_tx_buffer

uint8_t* _xqspi_handle_t::p_tx_buffer

Pointer to XQSPI Tx transfer Buffer

Definition at line 144 of file gr533x_hal_xqspi.h.

## ◆ retry

uint32_t _xqspi_handle_t::retry

Retry for the XQSPI flag access

Definition at line 162 of file gr533x_hal_xqspi.h.

## ◆ rx_xfer_count

__IO uint32_t _xqspi_handle_t::rx_xfer_count

XQSPI Rx Transfer Counter

Definition at line 154 of file gr533x_hal_xqspi.h.

## ◆ rx_xfer_size

__IO uint32_t _xqspi_handle_t::rx_xfer_size

XQSPI Rx Transfer size

Definition at line 152 of file gr533x_hal_xqspi.h.

## ◆ state

__IO hal_xqspi_state_t _xqspi_handle_t::state

XQSPI communication state

Definition at line 158 of file gr533x_hal_xqspi.h.

## ◆ tx_xfer_count

__IO uint32_t _xqspi_handle_t::tx_xfer_count

XQSPI Tx Transfer Counter

Definition at line 148 of file gr533x_hal_xqspi.h.

## ◆ tx_xfer_size

__IO uint32_t _xqspi_handle_t::tx_xfer_size

XQSPI Tx Transfer size

Definition at line 146 of file gr533x_hal_xqspi.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_xqspi.h